%{?nodejs_find_provides_and_requires}

%global packagename is-equal
%global enable_tests 1

Name:		nodejs-is-equal
Version:	1.5.5
Release:	3%{?dist}
Summary:	Are these two values conceptually equal?

License:	MIT
URL:		https://github.com/ljharb/is-equal.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(es6-shim)
BuildRequires:	npm(has)
BuildRequires:	npm(is-arrow-function)
BuildRequires:	npm(is-boolean-object)
BuildRequires:	npm(is-date-object)
BuildRequires:	npm(is-generator-function)
BuildRequires:	npm(is-number-object)
BuildRequires:	npm(is-regex)
BuildRequires:	npm(is-string)
BuildRequires:	npm(is-symbol)
BuildRequires:	npm(make-arrow-function)
BuildRequires:	npm(make-generator-function)

%if 0%{?enable_tests}
BuildRequires:	npm(core-js)
BuildRequires:	npm(tape)
BuildRequires:	npm(object.entries)
%endif

%description
Are these two values conceptually equal?


%prep
%autosetup -p 1 -n package

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} test/native
%{__nodejs} test/why
%{__nodejs} test/shimmed
%{__nodejs} test/corejs
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 12 2017 Tom Hughes <tom@compton.nu> - 1.5.5-1
- Update to 1.5.5 upstream release

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Dec 23 2016 Tom Hughes <tom@compton.nu> - 1.5.3-2
- Add upstream patch for Node 6.x support

* Mon Jul  4 2016 Jared Smith <jsmith@fedoraproject.org> - 1.5.3-1
- Initial packaging
